/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.o-coaMilestonesContainer {
  padding-inline: 2.56rem;
  padding-block: 2.31rem;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
  &__titleContainer {
    display: flex;
    justify-content: space-between;
  }
  &__cards {
    display: flex;
    flex-direction: column;
    row-gap: 1.5rem;
    margin-top: 1.875rem;
  }
  &__emptyContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    /* $milestone-icon-primary-color: red;
    $milestone-icon-secondary-color: blue; */

    .test {
      stroke: red;
    }
    $mi-color: red;

    :root {
      $mi-color: red;
    }

    &__empty {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      text-align: center;
      max-width: 28.4375rem;
      img {
        width: 10.9375rem;
        margin-bottom: 1.875rem;
      }
      &__title {
        @include primary-text(1rem, $coa-empty-milestones-title-color, 600);
        margin-bottom: 0.75rem;
      }
      &__description {
        @include primary-text(0.875rem, $coa-medium-gray-100, 400);
      }
    }
  }
}
